<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.integration</groupId>
    <artifactId>applications</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.integration.applications</groupId>
  <artifactId>resource-based-storage</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: RESOURCE BASED STORAGE</name>
  <description>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: RESOURCE BASED STORAGE</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.integration.applications.storage.resource
	</bundle.osgi.export.pkg>
	<bundle.osgi.private.pkg>
		ru.entaxy.platform.integration.applications.storage.resource.impl,
		ru.entaxy.platform.integration.applications.storage.resource.impl.application,
		ru.entaxy.platform.integration.applications.storage.resource.impl.project,
		ru.entaxy.platform.integration.applications.storage.resource.internal
	</bundle.osgi.private.pkg>
  </properties>
  
  <dependencies>
	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
	  	<artifactId>resources-api</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>ru.entaxy.platform.integration.applications</groupId>
	  	<artifactId>application-api</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>ru.entaxy.platform.integration.applications</groupId>
	  	<artifactId>application-impl</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
  	  <dependency>
	  	<groupId>com.google.code.gson</groupId>
	  	<artifactId>gson</artifactId>
	  </dependency>
  	  <dependency>
	  	<groupId>commons-io</groupId>
	  	<artifactId>commons-io</artifactId>
	  	<version>${commons-io.version}</version>
	  </dependency>

  </dependencies>
  
</project>
